/**
 * Copyright 2023 Kapeta Inc.
 * SPDX-License-Identifier: MIT
 */
import React from 'react';
import { FormContextType } from './FormContext';
interface FormReadyHandlerProps {
    name: string;
    ready: boolean;
    children: any;
}
/**
 * For sending a custom ready state to a form container.
 * Ready state means whether parts of a form is valid or not.
 */
export declare class FormReadyHandler extends React.Component<FormReadyHandlerProps> {
    static contextType: FormContextType;
    context: React.ContextType<FormContextType>;
    private readyState?;
    private updateReadyState;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    render(): React.JSX.Element;
}
export {};
